% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
%                                                                       %
%       Loesung der Aufgabe 3 aus dem Matlab Kurs im WS 2006/2007       %
%                                                                       %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %


a = [ 5 -4 0]
b=[10 7 2]
A=[ 3 9 4; 18 5 0]


% a) a+b wird ein Ergebnis liefern, da a und b Vektoren (also Matrizen)
% gleicher Dimension sind!
a+b

% b) A+b liefert kein Ergebnis, da A eine 2x3 Matrix und b eine 1x3 Matrix
% ist!
% A+b

% c) a' und b' sind 3x1 Matrizen, also Spaltenvektoren. Die Matrix [a',b']
% ist dann eine Matrix mit 3 Zeilen und 2 Spalten und die Matrix [a',b'] 
% ist somit eine 2x3 Matrix. Diese kann natuerlich von der 2x3 Matrix A  
% subtrahiert/addiert werden! 
A-[a',b']'

% d) a*b wird eine Fehlermeldung erzeugen, da a und b je 1x3 Matrizen sind
% und dafuer die Matrixmultiplikation nicht definiert ist!
% a*b

% e) [A;b]\a' wird berechnet werden, denn: A ist eine 2x3 Matrix, in die
% neue Zeile wird der 1x3 Vektor b geschrieben. [A;b] ist also eine 3x3
% Matrix, welche zudem invertierbar ist. Der Zeilenvektor a wird durch das
% komplex konjugierte transponieren zu einem 3x1 Spaltenvektor. x=[A;b]\a'
% ist also gleichbedeutend mit: berechne x als Loesung des LGS [A;b]x=a'
x=[A;b]\a'

% f) b.*a wird einen Vektor (a(1)*b(1),a(2)*b(2),a(3)*b(3)) erzeugen, die
% Elemente werden punktweise miteinander multipliziert
b.*a

% g) A + [a;b]: A ist eine 2x3 Matrix, [a;b] ebenfalls, also wird es eine
% wahre Aussage geben: 
A + [a;b]

% h) a.^b wird ebenfalls eine wahre Aussage liefern, die Elemente von a
% werden punktweise mit denen von b potenziert
a.^b