% Beispiel fuer einen 2D plot:

clear all
close all


L = 4;              % Intervallgrenze
N = 30;             % Anzahl der Gitterpunkte fuer den Plot
h = 2*L/(N-1);      % Schrittweite zwischen 2 Gitterpunkten

x = -L:h:L;         % x-Werte fuer den Plot


f = x.^2;

figure(1)
plot(x,f)
axis([-4,4,-1,17])
xlabel('x')
ylabel('f(x)=x^2')
title('Plot der Funktion f(x)=x^2 auf dem Intervall [-4,4]')



N = 9;
h = 2*L/(N-1);      % Schrittweite zwischen 2 Gitterpunkten
x = -L:h:L;         % x-Werte fuer den Plot
f = x.^2;

figure(2)
plot(x,f,'x')
axis equal
grid on
xlabel('x')
ylabel('f(x)=x^2')
title('Plot der Funktion f(x)=x^2 auf dem Intervall [-4,4]')