% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
%   
%   Loesung der Aufgabe 9 aus dem Matlab Kurs im WS 2006/2007: 
%   fibonacci.m berechnet die ersten n Fibonacci 
%   Zahlen und ueberprueft den Grenzwert. 
% 
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %

clear all

disp('Fibonacci.m berechnet die ersten n Fibonacci Zahlen.')
n = input('Bitte n eingeben: ');

% Initialisierung: 
f = zeros(n,1);

% Startwerte der Rekursion:
f(1) = 1;
f(2) = 1;

% Rekursive Berechnung:
for k = 3:n
    f(k)=f(k-1)+f(k-2);
end

disp(' ')
disp(['Der Grenzwert lim F(n)/F(n-1) fuer n gegen inf betraegt (1+sqrt(5))/2 = ',num2str((1+sqrt(5))/2)]) 
disp(' ')
for k=2:n
    disp(['F(',num2str(k-1),')/F(',num2str(k-2),') = ',num2str(f(k)/f(k-1))])
end
